OCIOCHECKLUT(1)

NAME
ociochecklut - check any LUT file and optionally convert a pixel

usage: ociochecklut <INPUTFILE> <R G B> or <R G B A>

OPTIONS

-t  Test a set a predefined RGB values

-v  Verbose

--help
    Print help message

--inv
    Apply LUT in inverse direction

--gpu
    Use GPU instead of CPU

--gpulegacy
    Use the legacy (i.e. baked) GPU color processing instead of the CPU one (--gpu is ignored)

--gpuinfo
    Output the OCIO shader program

OCIOCHECKLUT loads any LUT type supported by OCIO and prints any errors encountered. Provide a normalized RGB or RGBA value to send that through the LUT. Alternatively use the -t option to evaluate a set of test values. Otherwise, if no RGB value is provided, a list of the operators in the LUT is printed. Use -v to print warnings while parsing the LUT.

Formats supported: flame (.3dl) lustre (.3dl) ColorCorrection (.cc) ColorCorrectionCollection (.ccc) ColorDecisionList (.cdl) Academy/ASC Common LUT Format (.clf) Color Transform Format (.ctf) cinespace (.csp) Discreet 1D LUT (.lut) houdini (.lut) International Color Consortium profile (.icc) Image Color Matching profile (.icm) ICC profile (.pf) iridas_cube (.cube) iridas_itx (.itx) iridas_look (.look) pandora_mga (.mga) pandora_m3d (.m3d) resolve_cube (.cube) spi1d (.spi1d) spi3d (.spi3d) spimtx (.spimtx) truelight (.cub) nukevf (.vf)